local _colors = { "DiffAdd", "DiffChange", "RedrawDebugRecompose" }

require("lualine").setup({
	options = {
		icons_enabled = true,
		theme = 'auto',
		component_separators = { left = '', right = '' },
		section_separators = { left = '', right = '' },
		disabled_filetypes = {
			statusline = {},
			winbar = {},
		},
		ignore_focus = {},
		always_divide_middle = true,
		always_show_tabline = true,
		globalstatus = true,
		refresh = {
			statusline = 100,
			tabline = 100,
			winbar = 100,
		}
	},
	sections = {
		lualine_a = {
			{
				function()
					return "  "
				end,
				padding = { left = 0, right = 0 },
				color = {},
				cond = nil,
			},
		},
		lualine_b = { 'branch' },
		lualine_c = {
			{
				'diff',
				colored = true, -- Displays a colored diff status if set to true
				symbols = { added = ' ', modified = ' ', removed = ' ' }, -- Changes the symbols used by the diff.
				source = nil, -- A function that works as a data source for diff.
			}
		},
		lualine_x = { '%S', 'encoding', 'filetype',
			{
				'diagnostics',

				sources = { 'nvim_diagnostic', 'coc' },

				sections = { 'error', 'warn', 'info', 'hint' },

				diagnostics_color = {
					error = 'DiagnosticError', -- Changes diagnostics' error color.
					warn  = 'DiagnosticWarn', -- Changes diagnostics' warn color.
					info  = 'DiagnosticInfo', -- Changes diagnostics' info color.
					hint  = 'DiagnosticHint', -- Changes diagnostics' hint color.
				},
				symbols = {
					hint = '󰌵 ',
					info = '󰬐 ',
					warn = '󰀧 ',
					error = '󰅗 ',
				},
				colored = true, -- Displays diagnostics status in color if set to true.
				update_in_insert = false, -- Update diagnostics in insert mode.
				always_visible = false, -- Show diagnostics even if there are none.
			}
		},
		lualine_y = { 'progress' },
		lualine_z = { 'location' }
	},
	inactive_sections = {
		lualine_a = {
			{
				function()
					return "  "
				end,
				padding = { left = 0, right = 0 },
				color = {},
				cond = nil,
			},
		},
		lualine_b = { 'branch' },
		lualine_c = {},
		lualine_x = { 'encoding', 'filetype', 'diagnostics', 'lsp' },
		lualine_y = { 'progress' },
		lualine_z = { 'location' }
	},
	tabline = {},
	winbar = {},
	inactive_winbar = {},
	extensions = {}
})
