require("neo-tree").setup({
	close_if_last_window = false,
	popup_border_style = "rounded",
	enable_git_status = true,
	enable_diagnostics = true,
	open_files_do_not_replace_types = { "terminal", "trouble", "qf" },
	sort_case_insensitive = false,
	sort_function = nil,
	default_component_configs = {
		diagnostics = {
			symbols = {
				hint = '󰌵',
				info = '󰬐',
				warn = '󰀧',
				error = '󰅗',
			},
			highlights = {
				hint = "DiagnosticSignHint",
				info = "DiagnosticSignInfo",
				warn = "DiagnosticSignWarn",
				error = "DiagnosticSignError",
			},
		},
		indent = {
			with_expanders = true,
		},
		icon = {
			folder_closed = "󰉋",
			folder_open = "󰝰",
			folder_empty = "󰉖",
			default = "*",
			highlight = "NeoTreeFileIcon"
		},
		modified = {
			symbol = "󰧞",
			highlight = "NeoTreeModified",
		},
		name = {
			trailing_slash = false,
			use_git_status_colors = true,
			highlight = "NeoTreeFileName",
		},
		git_status = {
			symbols = {
				added     = "󰜄",
				modified  = "󰑕",
				deleted   = "󰅗",
				renamed   = "󰛂",
				untracked = "󰞋",
				ignored   = "󰿠",
				unstaged  = "󰄱",
				staged    = "󰄵",
				conflict  = "",
			}
		},
	},
})
